# detection benchmark
## 基础模型 
| model                   | backbone            | anchor | ema | bs | epoch | general test size | mAP                     | model |
| ----------------------- | ------------------- | ------ | --- | -- | ----- | ----------------- | ----------------------- | ----- |
| [retinanet-FPN](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/retinanet-r50_1x.yaml)           | resnet50            |        | no  | 16 | 12    | [800, 1333]       | 37.0                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/retinanet-FPN.pth)  |
| [faster-rcnn-FPN](https://github.com/ModelTC/United-Perception/blob/main/configs/det/faster_rcnn/faster_rcnn_r50_fpn_1x.yaml)         | resnet50            |        | no  | 16 | 12    | [800, 1333]       | 38.2                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/faster-rcnn-FPN.pth)  |
| [faster-rcnn-C4](https://github.com/ModelTC/United-Perception/blob/main/configs/det/faster_rcnn/faster_rcnn_r50_C4_1x.yaml)          | resnet50            |        | no  | 16 | 14    | [800, 1333]       | 34.4                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/faster-rcnn-C4.pth)  |
| [cascade-rcnn-FPN](https://github.com/ModelTC/United-Perception/blob/main/configs/det/cascade_rcnn/cascade-rcnn-R50-FPN-1x.yaml)          | resnet50            |        | no  | 32 | 14    | [800, 1333]       | 40.9                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/cascade-rcnn-FPN.pth)  |
| [rfcn](https://github.com/ModelTC/United-Perception/blob/main/configs/det/rfcn/rfcn-R50-1x.yaml)                    | resnet50            |        | no  | 16 | 14    | [800, 1333]       | 27.7                    |       |
| [YOLOX](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolox/yolox_nano.yaml)                   | nano                |        | yes | 32 | 300   | [416, 416]        | 24.8                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX_nano.pth)  |
| [YOLOX](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolox/yolox_tiny.yaml)                   | tiny                |        | yes | 32 | 300   | [416, 416]        | 33.0                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX_tiny.pth)  |
| [YOLOX](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolox/yolox_small.yaml)                   | small               |        | yes | 32 | 300   | [640, 640]        | 40.4                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX_small.pth)  |
| [YOLOX](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolox/yolox_medium.yaml)                   | medium              |        | yes | 32 | 300   | [640, 640]        | 46.9                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX_medium.pth)  |
| [YOLOX](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolox/yolox_large.yaml)                   | large               |        | yes | 32 | 300   | [640, 640]        | 49.9                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX_large.pth)  |
| [YOLOX](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolox/yolox_fpga.yaml)                   | fpga               |        | yes | 8 | 300   | [320, 320]        | 29.2                      | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX_fpga.pth)  |
| [YOLOv5-small](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolov5/yolov5_small_silu.yaml)            | darknetv5           |        | yes | 32 | 300   | [640, 640]        | 37.4                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOv5-small.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_n_ret_a1_comloc.yaml)               | nano                |   1    | yes | 32 | 300   | [416, 416]        | 25.8                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret_nano_a1.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_n_ret_a2_comloc.yaml)               | nano                |   2    | yes | 32 | 300   | [416, 416]        | 26.4                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret_nano_a2.pth)  |
| [YOLOX-ret-ada](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_n_ret_a2_comloc_ada.yaml)           | nano                |   2    | yes | 32 | 300   | [416, 416]        | 27.2                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret-ada_nano.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_t_ret_a1_comloc.yaml)               | tiny                |   1    | yes | 32 | 300   | [416, 416]        | 33.6                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret_tiny_a1.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_t_ret_a2_comloc.yaml)               | tiny                |   2    | yes | 32 | 300   | [416, 416]        | 33.8                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret_tiny_a2.pth)  |
| [YOLOX-ret-ada](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_t_ret_a2_comloc_ada.yaml)           | tiny                |   2    | yes | 32 | 300   | [416, 416]        | 35.4                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret-ada_tiny.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolov6/yolox_v6n_ret_a2_comloc_400e_640x640.yaml) | v6-nano | 2 | yes | 128 | 400 | [640, 640] | 34.0 | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret-v6-nano.pth) |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolov6/yolox_v6t_ret_a2_comloc_400e_640x640.yaml) | v6-tiny | 2 | yes | 128 | 400 | [640, 640] | 41.2 | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret-v6-tiny.pth) |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/yolov6/yolox_v6s_ret_a2_comloc_400e_640x640.yaml) | v6-small | 2 | yes | 128 | 400 | [640, 640] | 42.5 | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret-v6-small.pth) |
| [Onenet-ret18](https://github.com/ModelTC/United-Perception/blob/main/configs/det/onenet/onenet-r18.yaml) | resnet18 | 2 | no | 128 | 100 | [800, 1333] | 37.9 | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/Onenet-ret18.pth) |
| [Onenet-ret50](https://github.com/ModelTC/United-Perception/blob/main/configs/det/onenet/onenet-r50_3x.yaml) | resnet50 | 9 | no | 16 | 36 | [800, 1333] | 38.5 | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/Onenet-ret50.pth) |
## 高精度 baseline
| model                   | backbone            | anchor | ema | bs | epoch | general test size | mAP                     | model |
| ----------------------- | ------------------- | ------ | --- | -- | ----- | ----------------- | ----------------------- | ----- |
| [retinanet-improve](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/retinanet-r18-improve.yaml)       | resnet18            |        | no  | 32 | 100   | [800, 1333]       | 40.7                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/retinanet-improve.pth)  |
| [retinanet-improve](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/retinanet-xmnet-improve.yaml)           | xmnet            |        | no  | 128 | 100    | [800, 1333]       | 41.5                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/retinanet-improve-xmnet.pth)  |
| [retinanet-improve-cos-iou](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/retinanet-r18-improve_cos_iou.yaml)| resnet18           |        | no  | 32 | 100   | [800, 1333]       | 41.3                    |    [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/retinanet-improve-cos-iou.pth)   |
| [retinanet-mosaic-cos-iou](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/retinanet-r18_mosiac_cos_ema_iou.yaml)| resnet18            |        | no  | 32 | 100   | [800, 1333]       | 42.4                    |  [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/retinanet-mosaic-cos-iou.pth)   |
| [faster-rcnn-FPN-improve](https://github.com/ModelTC/United-Perception/blob/main/configs/det/faster_rcnn/faster_rcnn_r50_fpn_improve.yaml) | resnet50            |        | no  | 32 | 100   | [800, 1333]       | 43.5                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/faster-rcnn-FPN-improve.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_s_ret_a1_comloc.yaml)               | small               |   1    | yes | 32 | 300   | [640, 640]        | 40.4                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret_small_a1.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_s_ret_a2_comloc.yaml)               | small               |   2    | yes | 32 | 300   | [640, 640]        | 40.7                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret_small_a2.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_m_ret_a1_comloc.yaml)               | medium              |   1    | yes | 32 | 300   | [640, 640]        | 47.0                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret_medium_a1.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/United-Perception/blob/main/configs/det/retinanet/yolox_m_ret_a2_comloc.yaml)               | medium              |   2    | yes | 32 | 300   | [640, 640]        | 47.4                    | [ckpt](https://github.com/ModelTC/United-Perception/releases/download/0.2.0_github/YOLOX-ret_medium_a2.pth)  |
